package org.gcube.portlet.user.userstatisticsportlet.shared;

import java.io.Serializable;

/**
 * A quota info bean: maximum and current value are contained in it.
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public class QuotaInfo implements Serializable{

	private static final long serialVersionUID = 1L;
	private long max;
	private long current;

	public QuotaInfo() {
		super();
	}

	public QuotaInfo(long max, long current) {
		super();
		this.max = max;
		this.current = current;
	}
	public long getMax() {
		return max;
	}
	public void setMax(long max) {
		this.max = max;
	}
	public long getCurrent() {
		return current;
	}
	public void setCurrent(long current) {
		this.current = current;
	}
	@Override
	public String toString() {
		return "QuotaInfo [max=" + max + ", current=" + current + "]";
	}
}
